%define major           1
%define libname         %mklibname vdpau-va-gl %{major}

Name:           libvdpau-va-gl
Version:        0.4.2
Release:        %mkrel 4
Summary:        VDPAU driver with OpenGL/VAAPI back-end
Group:          System/Kernel and hardware

License:        LGPLv3
URL:            https://github.com/i-rinat/libvdpau-va-gl
Source0:        https://github.com/i-rinat/libvdpau-va-gl/archive/v%{version}.tar.gz

ExclusiveArch:  %ix86 x86_64

BuildRequires:  cmake
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)

Requires:       libva-intel-driver

%description 
VDPAU driver with OpenGL/VAAPI back-end.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Obsoletes:      libvdpau-va-gl < 0.3.4-4

%description -n %{libname}
VDPAU driver with OpenGL/VAAPI back-end.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
  -DLIB_INSTALL_DIR=%{_libdir}/vdpau 
%cmake_build

%install
%cmake_install

#This automatically enable vdpau backend on intel i965
ln -s libvdpau_va_gl.so.1 %{buildroot}%{_libdir}/vdpau/libvdpau_i965.so.1


%files -n %{libname}
%doc ChangeLog LICENSE README.md
%{_libdir}/vdpau/libvdpau_va_gl.so.1
%exclude %{_libdir}/vdpau/libvdpau_va_gl.so
%exclude %{_libdir}/vdpau/*.la
#Hack - See above
%{_libdir}/vdpau/libvdpau_i965.so.1


%changelog
* Thu Feb 13 2020 daviddavid <daviddavid> 0.4.2-4.mga8
+ Revision: 1515066
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-3.mga7
+ Revision: 1299210
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 daviddavid <daviddavid> 0.4.2-2.mga7
+ Revision: 1218280
- rebuild for new libva

* Wed Oct 05 2016 shlomif <shlomif> 0.4.2-1.mga6
+ Revision: 1058892
- New version 0.4.2 with some bug-fixes.

* Mon Sep 26 2016 shlomif <shlomif> 0.4.1-1.mga6
+ Revision: 1056814
- New version 0.4.1.
- Fixes https://github.com/i-rinat/libvdpau-va-gl/issues/60 .

* Fri Aug 05 2016 shlomif <shlomif> 0.4.0-1.mga6
+ Revision: 1044657
- New version 0.4.0 fixing bugs ( MGA#19121 )

* Mon Mar 14 2016 zezinho <zezinho> 0.3.6-1.mga6
+ Revision: 990453
- new version

* Fri Feb 19 2016 umeabot <umeabot> 0.3.4-5.mga6
+ Revision: 969821
- Mageia 6 Mass Rebuild

* Tue Sep 15 2015 zezinho <zezinho> 0.3.4-4.mga6
+ Revision: 879684
- libify the package to allow install of both i586 and x86_64 versions

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-3.mga5
+ Revision: 744041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-2.mga5
+ Revision: 681838
- Mageia 5 Mass Rebuild

* Thu May 22 2014 zezinho <zezinho> 0.3.4-1.mga5
+ Revision: 624945
- new version

* Mon Jan 06 2014 tv <tv> 0.2.1-1.mga4
+ Revision: 565086
- set group
- imported package libvdpau-va-gl


* Mon Jan 06 2014 Thierry Vignaud <tv@mageia.org> 0.2.1-1.mga4
- initial release based on FC (mga#12170)
